- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### FFT
Examples |
    import processing.sound.*;
    FFT fft;
    AudioIn in;
    int bands = 512;
    float[] spectrum = new float[bands];

    void setup() {
      size(512, 360);
      background(255);

      // Create an Input stream which is routed into the Amplitude analyzer
      fft = new FFT(this);
      in = new AudioIn(this, 0);

      // start the Audio Input
      in.start();

      // patch the AudioIn
      fft.input(in, bands);
    }

    void draw() {
      background(255);
      fft.analyze(spectrum);

      for(int i = 0; i < bands; i++){
      // The result of the FFT is normalized
      // draw the line for frequency band i scaling it up by 5 to get more amplitude.
      line( i, height, i, height - spectrum[i]*height*5 );
      }
    }
Description | This is a fft analyzer. It calculates the normalized power spectrum of an audio stream the moment it is queried with the analyze() method.
Methods |
input() | Define the audio input for the analyzer
analyze() | Query a analysis vector
stop() | Stop the analyzer
Constructor |
    FFT(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:40pm UTC